Package org.silverpeas.components.infoletter.service

## Class ByteArrayDataSource

- java.lang.Object
- - org.silverpeas.components.infoletter.service.ByteArrayDataSource

- All Implemented Interfaces:
    `javax.activation.DataSource`

      public class ByteArrayDataSource
      extends Object
      implements javax.activation.DataSource

  A simple DataSource for demonstration purposes. This class implements a DataSource from: an InputStream a byte array a String
  Author:
    John Mani, Bill Shannon, Max Spivak

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ByteArrayDataSource​(byte[] data, String type)` |
    `ByteArrayDataSource​(InputStream is, String type)` |
    `ByteArrayDataSource​(String data, String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `InputStream` | `getInputStream()` | Return an InputStream for the data.
    `String` | `getName()` |
    `OutputStream` | `getOutputStream()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayDataSource

          public ByteArrayDataSource​(InputStream is,
                                     String type)

    - #### ByteArrayDataSource

          public ByteArrayDataSource​(byte[] data,
                                     String type)

    - #### ByteArrayDataSource

          public ByteArrayDataSource​(String data,
                                     String type)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Return an InputStream for the data. Note - a new stream must be returned each time.
      Specified by:
        `getInputStream` in interface `javax.activation.DataSource`
      Throws:
        `IOException`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `javax.activation.DataSource`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `javax.activation.DataSource`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `javax.activation.DataSource`